hpp-corbaserver: Device Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
Device Class Reference

`#include <hpp/pinocchio_idl/robots-idl.hh>`

Inheritance diagram for Device:
[legend]
Collaboration diagram for Device:
[legend]

## Public Types
typedef Device_ptr | _ptr_type
typedef Device_var | _var_type

## Public Member Functions
virtual | ~Device ()
inline ::hpp::pinocchio_idl::Device_ptr | _this ()

## Static Public Member Functions
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)

## Static Public Attributes
static _core_attr const char * | _PD_repoId

## Member Typedef Documentation

## ◆ _ptr_type

typedef Device_ptr Device::_ptr_type

## ◆ _var_type

typedef Device_var Device::_var_type

## Constructor & Destructor Documentation

## ◆ ~Device()

virtual Device::~Device | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _duplicate()

static _ptr_type Device::_duplicate | ( | _ptr_type |  | ) |
| static

## ◆ _fromObjRef()

static _ptr_type Device::_fromObjRef | ( | omniObjRef * | o | ) |
| inline static

## ◆ _marshalObjRef()

void Device::_marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| inline static

## ◆ _narrow()

static _ptr_type Device::_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _nil()

static _ptr_type Device::_nil | ( |  | ) |
| static

## ◆ _this()

inline ::hpp::pinocchio_idl::Device_ptr Device::_this | ( |  | ) |
| inline

## ◆ _unchecked_narrow()

static _ptr_type Device::_unchecked_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _unmarshalObjRef()

static _ptr_type Device::_unmarshalObjRef | ( | cdrStream & | s | ) |
| inline static

## Member Data Documentation

## ◆ _PD_repoId

_core_attr const char* Device::_PD_repoId
| static

The documentation for this class was generated from the following file:

- src/hpp/pinocchio_idl/robots-idl.hh